{ config, pkgs, ... }:

# hydra user needs to be manually crated
# sudo -u hydra -s
# hydra-create-user $USERNAME --password $PASSWORD --role admin

{
  # also take a look at ../conf/nix.nix
  nix.buildMachines = [
    {
      hostName = "localhost";
      system = "x86_64-linux";
      supportedFeatures = ["kvm" "nixos-test" "big-parallel" "benchmark"];
      maxJobs = 8;
    }
  ];

  services.hydra = {
    enable = true;
    hydraURL = "https://builder.ophanim.de"; # externally visible URL
    listenHost = "localhost";
    port = 3001;
    minimumDiskFree = 15;
    minimumDiskFreeEvaluator = 15;
    notificationSender = "hydra@mail.ophanim.de"; # e-mail of hydra service
    useSubstitutes = true;
    debugServer = false;
  };
}
