{ config, lib, pkgs, ... }:

{
  services.gnome3.gvfs.enable = true;
  services.xserver = {
    enable = true;
    layout = "de";
    videoDrivers = [ "intel" ];
    windowManager = {
      i3 = {
        enable = true;
        configFile = ../config/etc/i3/config;
        extraPackages = with pkgs; [ 
          dmenu
          file
          i3lock
          i3status
        ];
      };
      default = "i3";
    };
    # add switch for Lilim
    libinput = {
      enable = true;
      tapping = true;
      disableWhileTyping = false;
      naturalScrolling = false;
      horizontalScrolling =true;
    };
    dpi = 192;    
  };
}
